<?php
/*
Template Name: RSS
*/

get_header(); ?>
	
<div id="post-container">
	<div id="posts">

	<?php $bookmark = get_bookmarks(); ?>
	<?php foreach($bookmark as $link) : ?>
		<br/>
		<h2 class="title"><a href="<?php echo $link->link_url; ?>"><?php echo $link->link_name; ?></a></h2>
		<?php $feeds = fetch_feed($link->link_url."feed"); ?>
		<ul class="rss-list">
			<?php if ( is_wp_error($feeds) || !$feeds->get_item_quantity() ) {
				echo '<li>' . __( 'An error has occurred; the feed is probably down. Try again later.' ) . '</li>';
				continue;
			} ?>
			<?php foreach ( $feeds->get_items(0, 5) as $item ) : ?>
				<?php $link = $item->get_link(); ?>
				<?php $title = esc_attr(strip_tags($item->get_title())); ?>
				<li><a href="<?php echo $link; ?>"><?php echo $title; ?></a></li>
			<?php endforeach; ?>
		</ul>
	<?php endforeach; ?>

	<input type="hidden" name="title" value="<?php wp_title( '-', true, 'right' ); echo wp_specialchars( get_bloginfo('name'), 1 ) ?>" />

	</div>
</div>
	
<?php get_footer(); ?>